SimpleSectionFilter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.davic.mpeg.sections
Class SimpleSectionFilter

    java.lang.Object
      org.davic.mpeg.sections.SectionFilter
          org.davic.mpeg.sections.SimpleSectionFilter

    public class SimpleSectionFilter

extends SectionFilter

This class defines a simple section filter intended to be used to capture a single section once only. When a section matching the specified filter pattern is found, SimpleSectionFilter objects will stop filtering as if the stopFiltering method had been called.

Version:
  updated to DAVIC 1.3.1

Method Summary
`Section` | `getSection()` This method retrieves a Section object describing the last MPEG-2 section which matched the specified filter characteristics.

Methods inherited from class org.davic.mpeg.sections.SectionFilter
`addSectionFilterListener, removeSectionFilterListener, setTimeOut, startFiltering, startFiltering, startFiltering, startFiltering, startFiltering, startFiltering, stopFiltering`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getSection

    public Section getSection()
                       throws FilteringInterruptedException

  This method retrieves a Section object describing the last MPEG-2 section which matched the specified filter characteristics. If the SimpleSectionFilter object is currently filtering, this method will block until filtering stops. Repeated calls to this method will return the same Section object, provided that no new calls to startFiltering have been made in the interim. Each time a new filtering operation is started, a new Section object will be created. All references except any in the application to the previous Section object will be removed. All data accessing methods on the previous Section object will throw a NoDataAvailableException.

  Throws:
    `FilteringInterruptedException` - if filtering stops before a matching section is found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD